package com.liangjian.dataplatform.member.entity.vo.tagrules;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/21 14:05
 */
@ApiModel("转换成SQL和生成结果的对象")
public class SqlAndResult {
    @ApiModelProperty("SQL")
    private String sql;
    @ApiModelProperty(value = "生成标签的结果", notes = "这里站定是这样：标签名称-> 标签唯一标识（主键）")
    private Map<String,String> result;

    public SqlAndResult() {
    }

    public SqlAndResult(String sql, Map<String, String> result) {
        this.sql = sql;
        this.result = result;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public Map<String, String> getResult() {
        return result;
    }

    public void setResult(Map<String, String> result) {
        this.result = result;
    }
}
